Package ghidra.program.database.properties

# Class UnsupportedMapDB

java.lang.Object
ghidra.program.database.DatabaseObject
ghidra.program.database.properties.PropertyMapDB<Object>
ghidra.program.database.properties.UnsupportedMapDB

All Implemented Interfaces:
  `PropertyMap<Object>`

public class UnsupportedMapDB extends PropertyMapDB<Object>
This class provides a dummy map for an unsupported map.

- ## Field Summary

  ### Fields inherited from class ghidra.program.database.properties.PropertyMapDB

  `addrMap, cache, changeMgr, dbHandle, DEFAULT_CACHE_SIZE, errHandler, lock, name, NO_SCHEMA_FIELD_NAMES, NO_SCHEMA_FIELDS, PROPERTY_VALUE_COL, propertyTable, schema, SCHEMA_FIELD_NAMES`

  ### Fields inherited from class ghidra.program.database.DatabaseObject

  `key`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(Address addr, Object value)`
  Add a map-specific value type to the specified address
  `Object`
  `get(Address addr)`
  Returns the property value stored at the specified address or null if no property found.
  `Class<Object>`
  `getValueClass()`
  Returns property value class.
  `boolean`
  `hasProperty(Address addr)`
  returns whether there is a property value at addr.

  ### Methods inherited from class ghidra.program.database.properties.PropertyMapDB

  `createTable, delete, getAddressKeyIterator, getAddressKeyIterator, getAddressKeyIterator, getFirstPropertyAddress, getLastPropertyAddress, getName, getNextPropertyAddress, getPreviousPropertyAddress, getPropertyIterator, getPropertyIterator, getPropertyIterator, getPropertyIterator, getPropertyIterator, getPropertyIterator, getSize, getTableName, getTableName, intersects, intersects, invalidate, moveRange, refresh, remove, removeRange, setCacheSize, validate`

  ### Methods inherited from class ghidra.program.database.DatabaseObject

  `checkDeleted, checkIsValid, checkIsValid, getKey, isDeleted, isInvalid, keyChanged, refresh, setDeleted, setInvalid`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getValueClass

    public Class<Object> getValueClass()
    Description copied from interface: `PropertyMap`
    Returns property value class.
    Returns:
      property value class or null for an unsupported map type

  - ### get

    public Object get(Address addr)
    Description copied from interface: `PropertyMap`
    Returns the property value stored at the specified address or null if no property found.
    Parameters:
      `addr` - property address
    Returns:
      property value

  - ### hasProperty

    public boolean hasProperty(Address addr)
    Description copied from interface: `PropertyMap`
    returns whether there is a property value at addr.
    Specified by:
      `hasProperty` in interface `PropertyMap<Object>`
    Overrides:
      `hasProperty` in class `PropertyMapDB<Object>`
    Parameters:
      `addr` - the address in question
    Returns:
      true if map has value at specified address

  - ### add

    public void add(Address addr, Object value)
    Description copied from interface: `PropertyMap`
    Add a map-specific value type to the specified address
    Parameters:
      `addr` - property address
      `value` - property value or null (null remove value at address)